<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array();





class Session
{
    const SESSION_PREFIX = 'SESSION_';
    
    
    
    
    
    
    
    public static function Exists($key)
    {
        return static::GetRealSession()->has(self::SESSION_PREFIX . $key);
    }
    
    
    
    
    
    
    
    
    public static function Get($key, $_c78e2cab04076935f26a6364a06dc390 = null)
    {
        return static::GetRealSession()->get(self::SESSION_PREFIX . $key, $_c78e2cab04076935f26a6364a06dc390);
    }
    
    
    
    
    
    
    
    public static function Set($key, $value)
    {
        static::GetRealSession()->set(self::SESSION_PREFIX . $key, $value);
    }
    
    
    
    
    
    
    public static function Destroy($key)
    {
        static::GetRealSession()->remove(self::SESSION_PREFIX . $key);
    }
    
    
    
    
    
    
    public static function GetId()
    {
        return static::GetRealSession()->getId();
    }
    
    
    
    
    protected static function GetRealSession()
    {
        global $g_application;
        return $g_application->session;
    }
}